changeset 253:f93932523a08

Reorder forkbomb build so ./host-tools.sh gets built first. Then toybox utilities can be used to extract all the other packages (patch, bunzip, sha1sum, echo, eventually tar...) Motivated by a bug I encountered in gnu patch on Kubuntu 7.10 that's insisting linux-2.6.13-cmdline.patch is a reversed patch, when it isn't. (That patch has been happily applying for over a year now, and I examined it by hand. The bug's in the Ubuntu patch command. Not my problem.)
author Rob Landley <rob@landley.net>
date Tue, 01 Jan 2008 03:08:29 -0600
parents aa03feec947a
children e005f4279b36
files forkbomb.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/forkbomb.sh	Tue Jan 01 03:03:21 2008 -0600
+++ b/forkbomb.sh	Tue Jan 01 03:08:29 2008 -0600
@@ -17,8 +17,8 @@
   if [ $# -ne 0 ]
   then
     (nice -n 20 ./download.sh &&
-     nice -n 20 ./download.sh --extract &&
-     nice -n 20 ./host-tools.sh) || exit 1
+     nice -n 20 ./host-tools.sh &&
+     nice -n 20 ./download.sh --extract ) || exit 1
   fi
   for i in `cd sources/configs; ls`
   do